/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 *
 * $Id:$
 */
package com.sun.ts.tests.servlet.api.javax_servlet.dispatchtest;

import java.io.IOException;
import javax.servlet.AsyncEvent;
import javax.servlet.AsyncListener;
import javax.servlet.RequestDispatcher;

public final class TestListener0 implements AsyncListener {

    public TestListener0() throws IOException {
    }

    public void onError(AsyncEvent event) throws IOException {
        event.getSuppliedResponse().getWriter().println("in onError method of TestListener0");
        event.getSuppliedResponse().getWriter().println(event.getThrowable().getMessage());
        event.getSuppliedResponse().getWriter().println(event.getSuppliedRequest().getAttribute(RequestDispatcher.ERROR_EXCEPTION));
    }

    public void onStartAsync(AsyncEvent event) throws IOException {
        event.getSuppliedResponse().getWriter().println("in onStartAsync method of TestListener0");
    }

    public void onComplete(AsyncEvent event) throws IOException {
        event.getSuppliedResponse().getWriter().println("in onComplete method of TestListener0");
    }

    public void onTimeout(AsyncEvent event) throws IOException {
        event.getSuppliedResponse().getWriter().println("in onTimeout method of TestListener0");
    }
}
