/*
 * Copyright (c) 2013, Oracle and/or its affiliates. All rights reserved.
 * ORACLE PROPRIETARY/CONFIDENTIAL. Use is subject to license terms.
 */

/*
 * $Id$
 */
package com.sun.ts.tests.servlet.api.javax_servlet_http.readlistener1;

import javax.servlet.AsyncContext;
import javax.servlet.ReadListener;
import javax.servlet.ServletInputStream;
import javax.servlet.ServletOutputStream;

public class TestListener implements ReadListener {

    private ServletInputStream input = null;
    private ServletOutputStream output = null;
    private AsyncContext ac = null;

    TestListener(ServletInputStream in, ServletOutputStream out,
            AsyncContext c) {
        input = in;
        output = out;
        ac = c;
    }

    public void onDataAvailable() {
        try {
            StringBuilder sb = new StringBuilder();
            output.println("=onDataAvailable");
            int len = -1;
            byte b[] = new byte[1024];
            while (input.isReady()
                    && (len = input.read(b)) != -1) {
                String data = new String(b, 0, len);
                sb.append("=").append(data);
            }
            output.print(sb.toString());
        } catch (Exception ex) {
            throw new IllegalStateException(ex);
        }
    }

    public void onAllDataRead() {
        try {
            output.println("=onAllDataRead");
        } catch (Exception ex) {
            throw new IllegalStateException(ex);
        } finally {
            ac.complete();
        }
    }

    public void onError(final Throwable t) {
        ac.complete();
        t.printStackTrace();
    }
}